Loading...
Searching...
No Matches
BALL::VIEW::TransformationMessage Class Reference

`#include <BALL/VIEW/KERNEL/message.h>`

Inheritance diagram for BALL::VIEW::TransformationMessage:

## Public Member Functions

| TransformationMessage ()
| TransformationMessage (const Matrix4x4 &m)
void | setMatrix (const Matrix4x4 &m)
const Matrix4x4 & | getMatrix () const
Public Member Functions inherited from BALL::VIEW::Message
| Message ()
| Message (const Message &message)
virtual | ~Message ()
void | setSender (const ConnectionObject *sender)
const ConnectionObject * | getSender () const
void | setDeletable (bool flag=true)
bool | isDeletable () const
boost::any & | data ()

## Detailed Description

Definition at line 734 of file message.h.

## Constructor & Destructor Documentation

## TransformationMessage() [1/2]

BALL::VIEW::TransformationMessage::TransformationMessage | ( |  | ) |

## TransformationMessage() [2/2]

BALL::VIEW::TransformationMessage::TransformationMessage | ( | const Matrix4x4 & | m | ) |

## Member Function Documentation

## getMatrix()

const Matrix4x4 & BALL::VIEW::TransformationMessage::getMatrix | ( |  | ) | const

inline

Definition at line 750 of file message.h.

## setMatrix()

void BALL::VIEW::TransformationMessage::setMatrix | ( | const Matrix4x4 & | m | ) |

inline

Definition at line 746 of file message.h.